//Generated by the protocol buffer compiler. DO NOT EDIT!
// source: dsepractice/chinese/v1alpha1/core_types.proto

package gg.dsepractice.chinese.v1alpha1;

@kotlin.jvm.JvmName("-initializegetArticleResponse")
inline fun getArticleResponse(block: gg.dsepractice.chinese.v1alpha1.GetArticleResponseKt.Dsl.() -> kotlin.Unit): gg.dsepractice.chinese.v1alpha1.GetArticleResponse =
  gg.dsepractice.chinese.v1alpha1.GetArticleResponseKt.Dsl._create(gg.dsepractice.chinese.v1alpha1.GetArticleResponse.newBuilder()).apply { block() }._build()
object GetArticleResponseKt {
  @kotlin.OptIn(com.google.protobuf.kotlin.OnlyForUseByGeneratedProtoCode::class)
  @com.google.protobuf.kotlin.ProtoDslMarker
  class Dsl private constructor(
    private val _builder: gg.dsepractice.chinese.v1alpha1.GetArticleResponse.Builder
  ) {
    companion object {
      @kotlin.jvm.JvmSynthetic
      @kotlin.PublishedApi
      internal fun _create(builder: gg.dsepractice.chinese.v1alpha1.GetArticleResponse.Builder): Dsl = Dsl(builder)
    }

    @kotlin.jvm.JvmSynthetic
    @kotlin.PublishedApi
    internal fun _build(): gg.dsepractice.chinese.v1alpha1.GetArticleResponse = _builder.build()

    /**
     * <code>.dsepractice.chinese.v1alpha1.Article article = 2 [json_name = "article"];</code>
     */
    var article: gg.dsepractice.chinese.v1alpha1.Article
      @JvmName("getArticle")
      get() = _builder.getArticle()
      @JvmName("setArticle")
      set(value) {
        _builder.setArticle(value)
      }
    /**
     * <code>.dsepractice.chinese.v1alpha1.Article article = 2 [json_name = "article"];</code>
     */
    fun clearArticle() {
      _builder.clearArticle()
    }
    /**
     * <code>.dsepractice.chinese.v1alpha1.Article article = 2 [json_name = "article"];</code>
     * @return Whether the article field is set.
     */
    fun hasArticle(): kotlin.Boolean {
      return _builder.hasArticle()
    }
  }
}
inline fun gg.dsepractice.chinese.v1alpha1.GetArticleResponse.copy(block: gg.dsepractice.chinese.v1alpha1.GetArticleResponseKt.Dsl.() -> kotlin.Unit): gg.dsepractice.chinese.v1alpha1.GetArticleResponse =
  gg.dsepractice.chinese.v1alpha1.GetArticleResponseKt.Dsl._create(this.toBuilder()).apply { block() }._build()

val gg.dsepractice.chinese.v1alpha1.GetArticleResponseOrBuilder.articleOrNull: gg.dsepractice.chinese.v1alpha1.Article?
  get() = if (hasArticle()) getArticle() else null

